This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 858064 - Review Request: mingw-qt5-qtdeclarative - Qt5 for Windows - QtDeclarative component
Review Request: mingw-qt5-qtdeclarative - Qt5 for Windows - QtDeclarative com...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: greg.hellings
Fedora Extras Quality Assurance
:
Depends On: 858058 858068
Blocks: 858063 858065 858073 858061 858070 858077 858079 858084
  Show dependency treegraph
 
Reported: 2012-09-17 18:29 EDT by Erik van Pienbroek
Modified: 2013-04-21 19:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-20 16:12:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
greg.hellings: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Erik van Pienbroek 2012-09-17 18:29:03 EDT
Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtdeclarative/mingw-qt5-qtdeclarative.spec
SRPM URL: http://ftd4linux.nl/contrib/mingw-qt5-qtdeclarative-5.0.0-0.1.beta1.fc17.src.rpm
Fedora Account System Username: epienbro
Description: 
This package contains the Qt software toolkit for developing
cross-platform applications.

This is the Windows version of Qt, for use in conjunction with the
Fedora Windows cross-compiler.
Comment 1 Erik van Pienbroek 2012-11-12 20:01:28 EST
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtdeclarative/mingw-qt5-qtdeclarative.spec
Updated SRPM URL: http://build1.openftd.org/fedora-cross/src/mingw-qt5-qtdeclarative-5.0.0-0.2.beta1.git20121111.dd1d6b56.fc19.src.rpm

* Sun Nov 11 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-0.2.beta1.git20121111.dd1d6b56
- Update to 20121111 snapshot (rev dd1d6b56)
- Rebuild against latest mingw-qt5-qtbase
- Dropped pkg-config rename hack as it's unneeded now
- Dropped upstreamed patch
Comment 2 Erik van Pienbroek 2013-02-09 07:43:30 EST
Updated Spec URL: http://svn.openftd.org/svn/fedora_cross/mingw-qt5-qtdeclarative/mingw-qt5-qtdeclarative.spec
Updated SRPM URL: http://koji.vanpienbroek.nl/kojifiles/packages/mingw-qt5-qtdeclarative/5.0.1/1.fc19/src/mingw-qt5-qtdeclarative-5.0.1-1.fc19.src.rpm
Koji scratch build: http://koji.vanpienbroek.nl/koji/buildinfo?buildID=115

* Sat Feb 09 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.1-1
- Update to 5.0.1

* Thu Jan 03 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 5.0.0-1
- Update to Qt 5.0.0 Final
Comment 3 greg.hellings 2013-04-12 11:10:43 EDT
Taking for review.
Comment 4 greg.hellings 2013-04-12 11:20:44 EDT
$ rpmlint mingw-qt5-qtdeclarative.spec 
mingw-qt5-qtdeclarative.spec:26: W: macro-in-comment %{qt_module}
mingw-qt5-qtdeclarative.spec:26: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qtdeclarative.spec:26: W: macro-in-comment %{qt_module}
mingw-qt5-qtdeclarative.spec:26: W: macro-in-comment %{snapshot_rev}
0 packages and 1 specfiles checked; 0 errors, 4 warnings.

$ rpmlint mingw-qt5-qtdeclarative-5.0.1-1.fc19.src.rpm 
mingw-qt5-qtdeclarative.src: E: unknown-key GPG#9b393ae8
mingw-qt5-qtdeclarative.src:26: W: macro-in-comment %{qt_module}
mingw-qt5-qtdeclarative.src:26: W: macro-in-comment %{snapshot_rev}
mingw-qt5-qtdeclarative.src:26: W: macro-in-comment %{qt_module}
mingw-qt5-qtdeclarative.src:26: W: macro-in-comment %{snapshot_rev}
1 packages and 0 specfiles checked; 1 errors, 4 warnings.

$ rpmlint results_mingw-qt5-qtdeclarative/5.0.1/1.fc18/mingw{32,64}*
mingw32-qt5-qtdeclarative.noarch: W: no-documentation
mingw32-qt5-qtdeclarative-debuginfo.noarch: E: debuginfo-without-sources
mingw64-qt5-qtdeclarative.noarch: W: no-documentation
mingw64-qt5-qtdeclarative-debuginfo.noarch: E: debuginfo-without-sources
4 packages and 0 specfiles checked; 2 errors, 2 warnings.

$ rpm -q --requires mingw32-qt5-qtdeclarative
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw32-crt
mingw32-filesystem >= 83
mingw32(kernel32.dll)
mingw32(libgcc_s_sjlj-1.dll)
mingw32(libglesv2.dll)
mingw32(libstdc++-6.dll)
mingw32(msvcrt.dll)
mingw32(qt5core.dll)
mingw32(qt5gui.dll)
mingw32(qt5network.dll)
mingw32(qt5qml.dll)
mingw32(qt5quick.dll)
mingw32(qt5quickparticles.dll)
mingw32(qt5quicktest.dll)
mingw32(qt5sql.dll)
mingw32(qt5test.dll)
mingw32(qt5v8.dll)
mingw32(qt5widgets.dll)
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm -q --requires mingw64-qt5-qtdeclarative
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1
mingw64-crt
mingw64-filesystem >= 83
mingw64(kernel32.dll)
mingw64(libglesv2.dll)
mingw64(libstdc++-6.dll)
mingw64(msvcrt.dll)
mingw64(qt5core.dll)
mingw64(qt5gui.dll)
mingw64(qt5network.dll)
mingw64(qt5qml.dll)
mingw64(qt5quick.dll)
mingw64(qt5quickparticles.dll)
mingw64(qt5quicktest.dll)
mingw64(qt5sql.dll)
mingw64(qt5test.dll)
mingw64(qt5v8.dll)
mingw64(qt5widgets.dll)
rpmlib(PayloadIsXz) <= 5.2-1

$ rpm -q --provides mingw32-qt5-qtdeclarative
mingw32-qt5-qtdeclarative = 5.0.1-1.fc18
mingw32(qt5qml.dll)
mingw32(qt5quick.dll)
mingw32(qt5quickparticles.dll)
mingw32(qt5quicktest.dll)
mingw32(qtaccessiblequick.dll)
mingw32(qmldbg_qtquick2.dll)
mingw32(qmldbg_tcp.dll)
mingw32(qmlfolderlistmodelplugin.dll)
mingw32(qtquick2plugin.dll)
mingw32(qmllocalstorageplugin.dll)
mingw32(particlesplugin.dll)
mingw32(windowplugin.dll)
mingw32(qmltestplugin.dll)

$ rpm -q --provides mingw64-qt5-qtdeclarative
mingw64-qt5-qtdeclarative = 5.0.1-1.fc18
mingw64(qt5qml.dll)
mingw64(qt5quick.dll)
mingw64(qt5quickparticles.dll)
mingw64(qt5quicktest.dll)
mingw64(qtaccessiblequick.dll)
mingw64(qmldbg_qtquick2.dll)
mingw64(qmldbg_tcp.dll)
mingw64(qmlfolderlistmodelplugin.dll)
mingw64(qtquick2plugin.dll)
mingw64(qmllocalstorageplugin.dll)
mingw64(particlesplugin.dll)
mingw64(windowplugin.dll)
mingw64(qmltestplugin.dll)

+ OK
! Needs to be looked into
/ Not applicable

[+] Compliant with generic Fedora Packaging Guidelines
[+] Source package name is prefixed with 'mingw-'
[+] Spec file starts with %{?mingw_package_header}
[+] BuildRequires: mingw32-filesystem >= 95 is in the .spec file
[+] BuildRequires: mingw64-filesystem >= 95 is in the .spec file
[+] Spec file contains %package sections for both mingw32 and mingw64 packages
[+] Binary mingw32 and mingw64 packages are noarch
[+] Spec file contains %{?mingw_debug_package} after the %description section
[+] Uses one of the macros %mingw_configure, %mingw_cmake, %mingw_cmake_kde4
    or %mingw_qmake_qt5 to configure the package
[+] Uses the macro %mingw_make to build the package
[+] Uses the macro %mingw_make to install the package
[+] If package contains translations, the %mingw_find_lang macro must be used
[+] No binary package named mingw-$pkgname is generated
[+] Libtool .la files are not bundled
[+] .def files are not bundled
[+] Man pages which duplicate native package are not bundled
[+] Info files which duplicate native package are not bundled
[+] Provides of the binary mingw32 and mingw64 packages are equal
[+] Requires of the binary mingw32 and mingw64 packages are equal

All these warnings and errors have been addressed elsewhere in the Qt5 reviews. Approved.
Comment 5 Erik van Pienbroek 2013-04-12 14:12:05 EDT
New Package SCM Request
=======================
Package Name: mingw-qt5-qtdeclarative
Short Description: Qt5 for Windows - QtDeclarative component
Owners: epienbro
Branches: f17 f18 f19
InitialCC:
Comment 6 Gwyn Ciesla 2013-04-12 14:17:50 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-04-12 16:06:48 EDT
mingw-qt5-qtquick1-5.0.1-1.fc19,mingw-qt5-qtdeclarative-5.0.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mingw-qt5-qtquick1-5.0.1-1.fc19,mingw-qt5-qtdeclarative-5.0.1-1.fc19
Comment 8 Fedora Update System 2013-04-12 16:49:15 EDT
mingw-qt5-qtdeclarative-5.0.1-1.fc18,mingw-qt5-qtquick1-5.0.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mingw-qt5-qtdeclarative-5.0.1-1.fc18,mingw-qt5-qtquick1-5.0.1-1.fc18
Comment 9 Fedora Update System 2013-04-13 13:09:45 EDT
mingw-qt5-qtquick1-5.0.1-1.fc19, mingw-qt5-qtdeclarative-5.0.1-1.fc19 has been pushed to the Fedora 19 testing repository.
Comment 10 Fedora Update System 2013-04-20 16:12:54 EDT
mingw-qt5-qtquick1-5.0.1-1.fc19, mingw-qt5-qtdeclarative-5.0.1-1.fc19 has been pushed to the Fedora 19 stable repository.
Comment 11 Fedora Update System 2013-04-21 19:52:44 EDT
mingw-qt5-qtdeclarative-5.0.1-1.fc18, mingw-qt5-qtquick1-5.0.1-1.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.